Bug 270949 - Crash while searching local music library [@ Meta::valueForField]
Summary: Crash while searching local music library [@ Meta::valueForField]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression
: 299424 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-04-14 15:05 UTC by Gary Triplett
Modified: 2012-05-10 16:02 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Triplett 2011-04-14 15:05:35 UTC
Application: amarok (2.4.0.90)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-02063504-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
First opened application then searching within the local music library, the application closed and the crash dialog appeared.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4c2e6b57a0 (LWP 10495))]

Thread 15 (Thread 0x7f4c18a93700 (LWP 10496)):
#0  0x00007f4c2aec9203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4c2568f009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f4c2568f7b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00007f4c193e33c4 in ?? () from /usr/lib/libgio-2.0.so.0
#4  0x00007f4c256b47e4 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f4bfd3e9700 (LWP 10497)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f4c067220d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#3  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f4bfcbe8700 (LWP 10498)):
#0  0x00007f4c26c95c9d in __pthread_mutex_unlock_usercnt (mutex=0x14fda88) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x14fda88) at pthread_mutex_unlock.c:290
#2  0x00007f4c2568ea05 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f4c2568ee78 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f4c2568f45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f4c2b8231e6 in QEventDispatcherGlib::processEvents (this=0x149a3d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#6  0x00007f4c2b7f5a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f4c2b7f5dec in QEventLoop::exec (this=0x7f4bfcbe7c90, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f4c2b7002fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f4c0697d830 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x00007f4c2b70327e in QThreadPrivate::start (arg=0x14fb7d0) at thread/qthread_unix.cpp:266
#11 0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#12 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f4bfc1e2700 (LWP 10499)):
#0  0x00007f4c2aec9203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4c2313140f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f4c23120d76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f4c231227f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f4c231228b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f4c2313120b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f4c1ea30fb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#8  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f4bf79e0700 (LWP 10500)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c06732e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#3  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f4bf6dd5700 (LWP 10501)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c06732e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#3  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f4bf65d4700 (LWP 10502)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c06732e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#3  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f4bf3d36700 (LWP 10503)):
#0  __pthread_mutex_unlock_usercnt (mutex=0x1895c58) at pthread_mutex_unlock.c:49
#1  __pthread_mutex_unlock (mutex=0x1895c58) at pthread_mutex_unlock.c:290
#2  0x00007f4c25689b02 in g_main_context_query () from /lib/libglib-2.0.so.0
#3  0x00007f4c2568eefc in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f4c2568f45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f4c2b8231e6 in QEventDispatcherGlib::processEvents (this=0x148b890, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#6  0x00007f4c2b7f5a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f4c2b7f5dec in QEventLoop::exec (this=0x7f4bf3d35cb0, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f4c2b7002fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f4c2b7d55f8 in QInotifyFileSystemWatcherEngine::run (this=0x18948a0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f4c2b70327e in QThreadPrivate::start (arg=0x18948a0) at thread/qthread_unix.cpp:266
#11 0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#12 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f4bece3b700 (LWP 10512)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c27596334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f4c278a1160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f4c27596369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f4c278af234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#4  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4be6cb7700 (LWP 10516)):
[KCrash Handler]
#6  0x00007f4c2dc118c5 in Meta::valueForField (field=<value optimized out>, track=<value optimized out>) at ../../../src/core/meta/support/MetaConstants.cpp:353
#7  0x00007f4c2d48362e in GenericStringMemoryFilter::value (this=<value optimized out>, track=<value optimized out>) at ../../src/core-impl/collections/support/MemoryFilter.cpp:41
#8  0x00007f4c2d482ffb in StringMemoryFilter::filterMatches (this=0x27cb040, track=<value optimized out>) at ../../src/core-impl/collections/support/MemoryFilter.cpp:196
#9  0x00007f4c2d482da3 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=) at ../../src/core-impl/collections/support/MemoryFilter.cpp:150
#10 0x00007f4c2d482da3 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=) at ../../src/core-impl/collections/support/MemoryFilter.cpp:150
#11 0x00007f4c2d482da3 in OrContainerMemoryFilter::filterMatches (this=<value optimized out>, track=) at ../../src/core-impl/collections/support/MemoryFilter.cpp:150
#12 0x00007f4c2d482f03 in AndContainerMemoryFilter::filterMatches (this=<value optimized out>, track=) at ../../src/core-impl/collections/support/MemoryFilter.cpp:127
#13 0x00007f4c2d494cb3 in Collections::MemoryQueryMakerInternal::runQuery (this=0x1257100) at ../../src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:89
#14 0x00007f4c2d48a87d in QueryJob::run (this=0x287e6e0) at ../../src/core-impl/collections/support/MemoryQueryMaker.cpp:59
#15 0x00007f4c28c6f1c1 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f4be6cb6c70, th=0x1876460, job=0x287e6e0) at ../../../threadweaver/Weaver/Job.cpp:106
#16 0x00007f4c28c6f4be in ThreadWeaver::Job::execute (this=0x287e6e0, th=0x1876460) at ../../../threadweaver/Weaver/Job.cpp:135
#17 0x00007f4c28c6e4af in ThreadWeaver::ThreadRunHelper::run (this=0x7f4be6cb6d00, parent=0x2ae5040, th=0x1876460) at ../../../threadweaver/Weaver/Thread.cpp:95
#18 0x00007f4c28c6ea38 in ThreadWeaver::Thread::run (this=0x1876460) at ../../../threadweaver/Weaver/Thread.cpp:142
#19 0x00007f4c2b70327e in QThreadPrivate::start (arg=0x1876460) at thread/qthread_unix.cpp:266
#20 0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#21 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#22 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f4be2908700 (LWP 10533)):
#0  0x00007f4c2aec9203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4c2568f009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f4c2568f45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f4c2b8231e6 in QEventDispatcherGlib::processEvents (this=0x2acc600, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f4c2b7f5a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f4c2b7f5dec in QEventLoop::exec (this=0x7f4be2907cb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f4c2b7002fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f4c2b7d55f8 in QInotifyFileSystemWatcherEngine::run (this=0x19aeb20) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f4c2b70327e in QThreadPrivate::start (arg=0x19aeb20) at thread/qthread_unix.cpp:266
#9  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f4be2107700 (LWP 10551)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c2b703e3b in wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4c28c6cd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2ae5040, th=0x2b00bb0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4c28c6ff6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x2b00bb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4c28c6ff84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x2b00bb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f4c28c6e4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f4be2106d00, parent=0x2ae5040, th=0x2b00bb0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f4c28c6ea38 in ThreadWeaver::Thread::run (this=0x2b00bb0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f4c2b70327e in QThreadPrivate::start (arg=0x2b00bb0) at thread/qthread_unix.cpp:266
#9  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4be1906700 (LWP 10552)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c2b703e3b in wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4c28c6cd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2ae5040, th=0x7f4c1437e490) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4c28c6ff6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x7f4c1437e490) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4c28c6ff84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x7f4c1437e490) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f4c28c6ff84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x7f4c1437e490) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f4c28c6e4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f4be1905d00, parent=0x2ae5040, th=0x7f4c1437e490) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f4c28c6ea38 in ThreadWeaver::Thread::run (this=0x7f4c1437e490) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f4c2b70327e in QThreadPrivate::start (arg=0x7f4c1437e490) at thread/qthread_unix.cpp:266
#10 0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#11 0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4be1105700 (LWP 10553)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4c2b703e3b in wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18d6460, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4c28c6cd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2ae5040, th=0x2ac7750) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4c28c6ff6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x25c8e80, th=0x2ac7750) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4c28c6e4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f4be1104d00, parent=0x2ae5040, th=0x2ac7750) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f4c28c6ea38 in ThreadWeaver::Thread::run (this=0x2ac7750) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f4c2b70327e in QThreadPrivate::start (arg=0x2ac7750) at thread/qthread_unix.cpp:266
#8  0x00007f4c1d9f6ae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007f4c26c92971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f4c2aed592d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4c2e6b57a0 (LWP 10495)):
#0  0x00007f4c2aec9203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4c25f882da in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f4c25f88837 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f4c25f88ae5 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f4c2cd547ba in _XSend () from /usr/lib/libX11.so.6
#5  0x00007f4c2cd548f9 in _XReply () from /usr/lib/libX11.so.6
#6  0x00007f4c2cd41fe0 in XQueryPointer () from /usr/lib/libX11.so.6
#7  0x00007f4c2c26ccdd in QCursor::pos () at kernel/qcursor_x11.cpp:158
#8  0x00007f4c2d20e5ad in CollectionTreeItemDelegate::paint (this=0x1ec8710, painter=0x7fffc13a8f60, option=..., index=...) at ../../src/browsers/collectionbrowser/CollectionTreeItemDelegate.cpp:163
#9  0x00007f4c2c776889 in QTreeView::drawRow (this=<value optimized out>, painter=<value optimized out>, option=<value optimized out>, index=<value optimized out>) at itemviews/qtreeview.cpp:1678
#10 0x00007f4c2d73fa40 in Amarok::PrettyTreeView::drawRow (this=0x7fffc13a8140, painter=0x1, option=..., index=...) at ../../src/widgets/PrettyTreeView.cpp:44
#11 0x00007f4c2c77141a in QTreeView::drawTree (this=0x18b3a10, painter=<value optimized out>, region=<value optimized out>) at itemviews/qtreeview.cpp:1441
#12 0x00007f4c2c771f43 in QTreeView::paintEvent (this=0x18b3a10, event=0x7fffc13a9be0) at itemviews/qtreeview.cpp:1274
#13 0x00007f4c2c22fc2e in QWidget::event (this=0x18b3a10, event=0x7fffc13a9be0) at kernel/qwidget.cpp:8333
#14 0x00007f4c2c5fb5e6 in QFrame::event (this=0x18b3a10, e=0x7fffc13a9be0) at widgets/qframe.cpp:557
#15 0x00007f4c2c734a8b in QAbstractItemView::viewportEvent (this=0x18b3a10, event=0x7fffc13a9be0) at itemviews/qabstractitemview.cpp:1619
#16 0x00007f4c2d20faab in CollectionBrowserTreeView::viewportEvent (this=0x18b3a10, event=0x7fffc13a9be0) at ../../src/browsers/collectionbrowser/CollectionBrowserTreeView.cpp:112
#17 0x00007f4c2b7f6507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1f6ae80, event=0x7fffc13a9be0) at kernel/qcoreapplication.cpp:847
#18 0x00007f4c2c1d9fac in QApplicationPrivate::notify_helper (this=0x1206860, receiver=0x1f6ae80, e=0x7fffc13a9be0) at kernel/qapplication.cpp:4392
#19 0x00007f4c2c1dfaed in QApplication::notify (this=0x7fffc13acab0, receiver=0x1f6ae80, e=0x7fffc13a9be0) at kernel/qapplication.cpp:4277
#20 0x00007f4c2e0b42f6 in KApplication::notify (this=0x7fffc13acab0, receiver=0x1f6ae80, event=0x7fffc13a9be0) at ../../kdeui/kernel/kapplication.cpp:311
#21 0x00007f4c2b7f6cdc in QCoreApplication::notifyInternal (this=0x7fffc13acab0, receiver=0x1f6ae80, event=0x7fffc13a9be0) at kernel/qcoreapplication.cpp:732
#22 0x00007f4c2c23667d in sendSpontaneousEvent (this=0x1ab6d80, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#23 QWidgetPrivate::drawWidget (this=0x1ab6d80, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5420
#24 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#25 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x1abae90, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#26 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#27 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x1e70d60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#28 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#29 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x1e75460, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#30 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#31 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x1e4b000, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#32 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#33 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x19a9e00, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#34 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#35 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x1c34080, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#36 0x00007f4c2c237328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=83, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5627
#37 0x00007f4c2c2363da in QWidgetPrivate::drawWidget (this=0x7f4c1416ff80, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x18dbe10) at kernel/qwidget.cpp:5473
#38 0x00007f4c2c40a408 in QWidgetBackingStore::sync (this=0x18dbe10) at painting/qbackingstore.cpp:1328
#39 0x00007f4c2c229730 in QWidgetPrivate::syncBackingStore (this=0x7f4c1416ff80) at kernel/qwidget.cpp:1805
#40 0x00007f4c2c2302f5 in QWidget::event (this=0x7f4c1416fe90, event=0x7f4bdc000c30) at kernel/qwidget.cpp:8480
#41 0x00007f4c2c61741b in QMainWindow::event (this=0x7f4c1416fe90, event=0x7f4bdc000c30) at widgets/qmainwindow.cpp:1417
#42 0x00007f4c2c1d9fdc in QApplicationPrivate::notify_helper (this=0x1206860, receiver=0x7f4c1416fe90, e=0x7f4bdc000c30) at kernel/qapplication.cpp:4396
#43 0x00007f4c2c1dfaed in QApplication::notify (this=0x7fffc13acab0, receiver=0x7f4c1416fe90, e=0x7f4bdc000c30) at kernel/qapplication.cpp:4277
#44 0x00007f4c2e0b42f6 in KApplication::notify (this=0x7fffc13acab0, receiver=0x7f4c1416fe90, event=0x7f4bdc000c30) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f4c2b7f6cdc in QCoreApplication::notifyInternal (this=0x7fffc13acab0, receiver=0x7f4c1416fe90, event=0x7f4bdc000c30) at kernel/qcoreapplication.cpp:732
#46 0x00007f4c2b7f9c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x10464a0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x10464a0) at kernel/qcoreapplication.cpp:1373
#48 0x00007f4c2b823653 in sendPostedEvents (s=0x1206700) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#49 postEventSourceDispatch (s=0x1206700) at kernel/qeventdispatcher_glib.cpp:277
#50 0x00007f4c2568b342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#51 0x00007f4c2568f2a8 in ?? () from /lib/libglib-2.0.so.0
#52 0x00007f4c2568f45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#53 0x00007f4c2b823193 in QEventDispatcherGlib::processEvents (this=0x1045fb0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#54 0x00007f4c2c28ca4e in QGuiEventDispatcherGlib::processEvents (this=0x7fffc13a8140, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007f4c2b7f5a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#56 0x00007f4c2b7f5dec in QEventLoop::exec (this=0x7fffc13aca10, flags=) at kernel/qeventloop.cpp:201
#57 0x00007f4c2b7f9ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#58 0x00000000004096fc in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:288

Reported using DrKonqi
Comment 1 Sergey Ivanov 2011-04-27 21:20:03 UTC
Git commit 321f4d48af63f156d7d82071dcf0f5af1b20d791 by Sergey Ivanov.
Committed on 27/04/2011 at 19:33.
Pushed by ivanov into branch 'master'.

Fixed crash on local collection search.
BUG: 270949

M  +4    -3    ChangeLog     
M  +3    -0    src/core/meta/support/MetaConstants.cpp     

http://commits.kde.org/amarok/321f4d48af63f156d7d82071dcf0f5af1b20d791
Comment 2 Myriam Schweingruber 2012-05-08 11:05:04 UTC
Reopening based on bug 299424
Comment 3 Myriam Schweingruber 2012-05-08 11:06:16 UTC
*** Bug 299424 has been marked as a duplicate of this bug. ***
Comment 4 Matěj Laitl 2012-05-08 12:03:26 UTC
François, Amarok crashes at a rather strange place here, I suspect optimisations hiding the real cause. Can you please rebuild without optimisations and with debugging asserts enabled? I see you're on Gentoo, it is rather easy then as live version of Amarok is in the kde overlay:

# layman -a kde
# USE="debug" CXXFLAGS="-ggdb -pipe -march=native -O0" FEATURES="splitdebug" emerge -avt --autounmask-write=y =amarok-9999

Then plese re-post backtrace and a few last screens of Amarok debugging output.

If you want to help even more, you can even rebuld all x11-libs/qt-* packages with USE="debug" CXXFLAGS="-ggdb -pipe -march=native -O0" FEATURES="splitdebug". You may want to archive your current non-debug qt packages with quickpkg to save second round of recompiling.

Thanks!
Comment 5 François Valenduc 2012-05-10 06:27:30 UTC
So I recompiled amarok with the debugging options suggested by you. This is now what I got:

amarok: [PlaylistDock] Adding provider:  "Media Device playlists" 
amarok: [PlaylistBrowserModel] 1  playlists for category  1 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual SyncedPlaylistPtr KConfigSyncRelStore::asSyncedPlaylist(Playlists::PlaylistPtr) 
amarok:   "UIDurl: " 
amarok: END__: virtual SyncedPlaylistPtr KConfigSyncRelStore::asSyncedPlaylist(Playlists::PlaylistPtr) [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: BEGIN: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() 
amarok: END__: virtual Playlists::PlaylistList Playlists::MediaDeviceUserPlaylistProvider::playlists() [Took: 0s] 
amarok: [PlaylistBrowserModel] 2  playlists for category  1 
amarok: BEGIN: void CollectionManager::slotNewCollection(Collections::Collection*) 
amarok: END__: void CollectionManager::slotNewCollection(Collections::Collection*) [Took: 0s] 
amarok: BEGIN: void CollectionTreeItemModelBase::handleSpecialQueryResult(CollectionTreeItem::Type, Collections::QueryMaker*, const Meta::DataList&) 
amarok:   [CollectionTreeItemModelBase] Received special data:  0 
amarok: END__: void CollectionTreeItemModelBase::handleSpecialQueryResult(CollectionTreeItem::Type, Collections::QueryMaker*, const Meta::DataList&) [Took: 0s] 
amarok: BEGIN: virtual bool Collections::SqlCollectionLocation::isWritable() const 
amarok:   [SqlCollectionLocation] "/home/francois/Musique" 
amarok:   [SqlCollectionLocation]       used:  1.28532e+11 
amarok:   [SqlCollectionLocation]       total:  1.76465e+11 
amarok:   [SqlCollectionLocation]       free space:  4.7933e+10 
amarok:   [SqlCollectionLocation]       path_exists_writable true 
amarok:   [SqlCollectionLocation]       path_exists_with_space true 
amarok: END__: virtual bool Collections::SqlCollectionLocation::isWritable() const [Took: 0s] 
amarok: BEGIN: virtual void CollectionTreeItemModel::collectionAdded(Collections::Collection*) 
amarok:   [CollectionTreeItemModel] Added collection id: "/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2" 
amarok: END__: virtual void CollectionTreeItemModel::collectionAdded(Collections::Collection*) [Took: 0s] 
amarok: BEGIN: virtual float Meta::MtpHandler::totalCapacity() const 
amarok: END__: virtual float Meta::MtpHandler::totalCapacity() const [Took: 0s] 
amarok: BEGIN: virtual bool Collections::SqlCollectionLocation::isWritable() const 
amarok:   [SqlCollectionLocation] "/home/francois/Musique" 
amarok:   [SqlCollectionLocation]       used:  1.28532e+11 
amarok:   [SqlCollectionLocation]       total:  1.76465e+11 
amarok:   [SqlCollectionLocation]       free space:  4.7933e+10 
amarok:   [SqlCollectionLocation]       path_exists_writable true 
amarok:   [SqlCollectionLocation]       path_exists_with_space true 
amarok: END__: virtual bool Collections::SqlCollectionLocation::isWritable() const [Took: 0s] 
amarok: BEGIN: virtual float Meta::MtpHandler::totalCapacity() const 
amarok: END__: virtual float Meta::MtpHandler::totalCapacity() const [Took: 0s] 
amarok: BEGIN: virtual bool Collections::SqlCollectionLocation::isWritable() const 
amarok:   [SqlCollectionLocation] "/home/francois/Musique" 
amarok:   [SqlCollectionLocation]       used:  1.28532e+11 
amarok:   [SqlCollectionLocation]       total:  1.76465e+11 
amarok:   [SqlCollectionLocation]       free space:  4.7933e+10 
amarok:   [SqlCollectionLocation]       path_exists_writable true 
amarok:   [SqlCollectionLocation]       path_exists_with_space true 
amarok: END__: virtual bool Collections::SqlCollectionLocation::isWritable() const [Took: 0s] 
amarok: BEGIN: virtual float Meta::MtpHandler::totalCapacity() const 
amarok: END__: virtual float Meta::MtpHandler::totalCapacity() const [Took: 0s] 
amarok: BEGIN: virtual bool Collections::SqlCollectionLocation::isWritable() const 
*** glibc detected *** /usr/bin/amarok: double free or corruption (fasttop): 0x00007fffb4d80040 ***
amarok:   [SqlCollectionLocation] "/home/francois/Musique" 
amarok:   [SqlCollectionLocation]       used:  1.28532e+11 
amarok:   [SqlCollectionLocation]       total:  1.76465e+11 
amarok:   [SqlCollectionLocation]       free space:  4.7933e+10 
amarok:   [SqlCollectionLocation]       path_exists_writable true 
amarok:   [SqlCollectionLocation]       path_exists_with_space true 
amarok: END__: virtual bool Collections::SqlCollectionLocation::isWritable() const [Took: 0.014s] 
======= Backtrace: =========
/lib64/libc.so.6(+0x76516)[0x7ffff45fe516]
/lib64/libc.so.6(cfree+0x6c)[0x7ffff460339c]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x2c)[0x7ffff4ef60ac]
/usr/lib64/libkdecore.so.5(_ZNK4KUrl4pathENS_16AdjustPathOptionE+0x44)[0x7ffff5401a54]
/usr/lib64/libamarokcore.so.1(_ZN4Meta13valueForFieldEx10KSharedPtrINS_5TrackEE+0xfc6)[0x7ffff7511d26]
/usr/lib64/libamaroklib.so.1(+0x5bd72e)[0x7ffff6d3c72e]
/usr/lib64/libamaroklib.so.1(_ZNK18StringMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0x3b)[0x7ffff6d3b9cb]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d3bd30]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d3bd30]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d3bd30]
/usr/lib64/libamaroklib.so.1(_ZNK24AndContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d3be90]
/usr/lib64/libamaroklib.so.1(+0x5d4483)[0x7ffff6d53483]
/usr/lib64/libamaroklib.so.1(+0x5cc4ed)[0x7ffff6d4b4ed]
/usr/lib64/libthreadweaver.so.4(+0xcae1)[0x7ffff1bccae1]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver3Job7executeEPNS_6ThreadE+0xbe)[0x7ffff1bccc1e]
/usr/lib64/libthreadweaver.so.4(+0xc3cf)[0x7ffff1bcc3cf]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver6Thread3runEv+0x78)[0x7ffff1bcc488]
/usr/lib64/qt4/libQtCore.so.4(+0x79f65)[0x7ffff4eb0f65]
/lib64/libpthread.so.0(+0x7d0c)[0x7ffff281cd0c]
/lib64/libc.so.6(clone+0x6d)[0x7ffff4664bed]
======= Memory map: ========
00400000-00418000 r-xp 00000000 fe:00 787041                             /usr/bin/amarok
00617000-00618000 r--p 00017000 fe:00 787041                             /usr/bin/amarok
00618000-00619000 rw-p 00018000 fe:00 787041                             /usr/bin/amarok
00619000-01ae2000 rw-p 00000000 00:00 0                                  [heap]
7fffa0bba000-7fffa0bbb000 rw-p 00000000 00:00 0 
7fffa0bbc000-7fffa0bd3000 rwxp 00000000 00:00 0 
7fffa0bd3000-7fffa0cdb000 rw-p 00000000 00:00 0 
7fffa0cdb000-7fffa5d54000 rw-s 00000000 fe:00 153524                     /var/tmp/kdecache-francois/plasma_theme_Amarok-Mockup.kcache
7fffa5d54000-7fffa5dea000 r--p 00000000 fe:00 286128                     /usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
7fffa5dea000-7fffa5e80000 r--p 00000000 fe:00 286115                     /usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
7fffa5e80000-7fffa6000000 rw-p 00000000 00:00 0 
7fffa602e000-7fffa6480000 rw-p 00000000 00:00 0 
7fffa649e000-7fffa64a6000 rwxp 00000000 00:00 0 
7fffa64a6000-7fffa68b8000 rw-p 00000000 00:00 0 
7fffa68b8000-7fffa68c0000 rwxp 00000000 00:00 0 
7fffa68c0000-7fffa6cc0000 rw-p 00000000 00:00 0 
7fffa6cc7000-7fffa71d9000 rw-p 00000000 00:00 0 
7fffa71d9000-7fffa7266000 r-xp 00000000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa7266000-7fffa7465000 ---p 0008d000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa7465000-7fffa7468000 r--p 0008c000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa7468000-7fffa746a000 rw-p 0008f000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa746a000-7fffa74bb000 r-xp 00000000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa74bb000-7fffa76bb000 ---p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa76bb000-7fffa76bd000 r--p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa76bd000-7fffa76be000 rw-p 00053000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa76be000-7fffa7788000 r-xp 00000000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7788000-7fffa7987000 ---p 000ca000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7987000-7fffa7989000 r--p 000c9000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7989000-7fffa798c000 rw-p 000cb000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa798c000-7fffa798d000 rw-p 00000000 00:00 0 
7fffa798d000-7fffa79b0000 r-xp 00000000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffa79b0000-7fffa7baf000 ---p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffa7baf000-7fffa7bb0000 r--p 00022000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffa7bb0000-7fffa7bb1000 rw-p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffa7bb1000-7fffa7c34000 r-xp 00000000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7c34000-7fffa7e33000 ---p 00083000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7e33000-7fffa7e36000 r--p 00082000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7e36000-7fffa7e38000 rw-p 00085000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7e38000-7fffa7e6d000 r-xp 00000000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa7e6d000-7fffa806c000 ---p 00035000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa806c000-7fffa806e000 r--p 00034000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa806e000-7fffa806f000 rw-p 00036000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa806f000-7fffa8178000 r-xp 00000000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0
7fffa8178000-7fffa8378000 ---p 00109000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0
Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffb3b76700 (LWP 5790)]
0x00007ffff45bdb45 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff45bdb45 in raise () from /lib64/libc.so.6
#1  0x00007ffff45befc6 in abort () from /lib64/libc.so.6
#2  0x00007ffff45f8fe7 in ?? () from /lib64/libc.so.6
#3  0x00007ffff45fe516 in ?? () from /lib64/libc.so.6
#4  0x00007ffff460339c in free () from /lib64/libc.so.6
#5  0x00007ffff4ef60ac in QString::free(QString::Data*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007ffff5401a54 in KUrl::path(KUrl::AdjustPathOption) const () from /usr/lib64/libkdecore.so.5
#7  0x00007ffff7511d26 in Meta::valueForField(long long, KSharedPtr<Meta::Track>) () from /usr/lib64/libamarokcore.so.1
#8  0x00007ffff6d3c72e in ?? () from /usr/lib64/libamaroklib.so.1
#9  0x00007ffff6d3b9cb in StringMemoryFilter::filterMatches(KSharedPtr<Meta::Track>) const () from /usr/lib64/libamaroklib.so.1
#10 0x00007ffff6d3bd30 in OrContainerMemoryFilter::filterMatches(KSharedPtr<Meta::Track>) const () from /usr/lib64/libamaroklib.so.1
#11 0x00007ffff6d3bd30 in OrContainerMemoryFilter::filterMatches(KSharedPtr<Meta::Track>) const () from /usr/lib64/libamaroklib.so.1
#12 0x00007ffff6d3bd30 in OrContainerMemoryFilter::filterMatches(KSharedPtr<Meta::Track>) const () from /usr/lib64/libamaroklib.so.1
#13 0x00007ffff6d3be90 in AndContainerMemoryFilter::filterMatches(KSharedPtr<Meta::Track>) const () from /usr/lib64/libamaroklib.so.1
#14 0x00007ffff6d53483 in ?? () from /usr/lib64/libamaroklib.so.1
#15 0x00007ffff6d4b4ed in ?? () from /usr/lib64/libamaroklib.so.1
#16 0x00007ffff1bccae1 in ?? () from /usr/lib64/libthreadweaver.so.4
#17 0x00007ffff1bccc1e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#18 0x00007ffff1bcc3cf in ?? () from /usr/lib64/libthreadweaver.so.4
#19 0x00007ffff1bcc488 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#20 0x00007ffff4eb0f65 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#21 0x00007ffff281cd0c in start_thread () from /lib64/libpthread.so.0
#22 0x00007ffff4664bed in clone () from /lib64/libc.so.6
(gdb) 

This problem only occurs when an my Creative X-Fi is connected. If I search the local music library without it being connected, I have no problem. 
Should I also recompile qt packages with debugging symbols or is this new backtrace informative enough ?
Comment 6 Matěj Laitl 2012-05-10 08:52:45 UTC
(In reply to comment #5)
> So I recompiled amarok with the debugging options suggested by you. This is
> now what I got:

Thanks, the new backtrace is better, but still not perfect: the code line numbers are not shown. Have you compiled Amarok with both -ggdb in CXXFLAGS and splitdebug in FEATURES? (and from reading the manpage: _without_ nostrip in FEATURES)

Recompiling qt is not needed at this point, but please recompile kdelibs instead so that this line:
> #6  0x00007ffff5401a54 in KUrl::path(KUrl::AdjustPathOption) const () from /usr/lib64/libkdecore.so.5

mentions line number and call parameters. You don't need to re-submit the debugging output, it seems to show nothing interesting.
Comment 7 François Valenduc 2012-05-10 10:10:51 UTC
This is quite strange but the problem doesn't occur anymore after having recompiled amarok and kdelibs. Maybe this has to do with the upgrade of qt from 4.7.4 to 4.8.1 which became stable today or yesterday on gentoo.
Comment 8 Myriam Schweingruber 2012-05-10 16:02:54 UTC
Thank you for the fast feedback.